%define debug 0

%define strip_bin 0
%define final 0
%define rpm_clean 1

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define kcontrol_desktop_file 0

%define qt_version 3.1.2

%define libtool 1

Version: 3.1.2
Release: 4.1
Name: kdepim
Summary: PIM (Personal Information Manager) for KDE
Prefix: /usr
Epoch: 6
Group: Applications/Productivity
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.kde.org

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: korganizerrc

Patch: kdepim-3.1-kcmdlinelastoption.patch
Patch1: kde-libtool.patch

Obsoletes: korganizer
Obsoletes: kpilot
Obsoletes: %{name}-pilot
Obsoletes: %{name}-cellphone
Obsoletes: karm
Obsoletes: knotes

Provides: %{name}-pilot
Provides: %{name}-cellphone
Provides: karm
Provides: knotes

Prereq: /sbin/ldconfig

Requires: kdebase >= 6:%{version}

BuildRequires: kdebase-devel >= 6:%{version}
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: arts-devel >= 1.1.1
BuildRequires: qt-devel >= %{qt_version}
BuildRequires: zlib-devel

%ifarch %{ix86} alpha ppc x86_64
BuildRequires: pilot-link-devel >= 0.11
%endif

%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
A PIM (Personal Information Manager) for KDE.

%package pilot
Summary: KDE support for synchronizing data with a Palm(tm) or compatible PDA
Group: Applications/Productivity
Requires: %{name} = %{epoch}:%{version}-%{release}

%description pilot
KDE support for synchronizing data with a Palm(tm) or compatible PDA.

%package cellphone
Summary: KDE support for synchronizing data with cellphones
Group: Applications/Productivity
Requires: %{name} = %{epoch}:%{version}-%{release}

%description cellphone
KDE support for synchronizing data with cellphones.
Install %{name}-cellphone if you want to use %{name} and have a cellphone.

%package -n karm
Summary: Time tracking tool
Group: Applications/Productivity

%description -n karm
KArm - Punjambi language for "work" - tracks time spent on various tasks.
It is useful for tracking hours to be billed to different clients.

%package -n knotes
Summary: Post-It notes on the desktop
Group: Applications/Productivity

%description -n knotes
KNotes allows you to place Post-It notes on your desktop.
In addition to serving as a reminder, KNotes can mail and print your notes,
and accept drag and drop even from remote sites.

%package devel
Summary: Development files for kdepim
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= 6:%{version}

%description devel
Development files for %{name}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%prep
%setup -q
%patch -p1 -b .kcmdlinelastoption
%patch1 -p1 -b .libtool

%ifarch ia64 s390 s390x
rm -rf kpilot doc/kpilot
%endif

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DNDEBUG -UDEBUG"
export KDEDIR=%{prefix}
export CFLAGS="$FLAGS "
export CXXFLAGS="$FLAGS -DQT_THREAD_SUPPORT -fno-use-cxa-atexit"

%configure \
   --with-qt-libraries=$QTDIR/lib \
   --includedir=%{prefix}/include/kde

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export PATH=$PATH:/usr/X11R6/bin
make DESTDIR=$RPM_BUILD_ROOT install

# Make symlinks relative
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common
pushd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && (cd $i && ln -nfs ../common . && cd ..)
done
popd

cp %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/config/

# move desktop files back
pushd $RPM_BUILD_ROOT%{_datadir}/applnk
for i in `find . -name "More"`; do
   if /bin/ls $i/*.desktop >& /dev/null ; then
      pushd $i
      for j in *.desktop ; do
         grep "Hidden=true" $j >& /dev/null || mv -f $j ..
      done
      popd
   fi
done
popd

# The daemon seems to start implicitly when starting kpilot
# don't display it in menu
echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{prefix}/share/applnk/.hidden/kalarmd.desktop

# desktop-file-install
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category "Application;Utility;X-Red-Hat-Base" \
   --add-only-show-in KDE \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/kalarm*.desktop \
   $RPM_BUILD_ROOT%{prefix}/share/applnk/.hidden/kalarmd.desktop

desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category "Application;Utility;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/korganizer.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*.desktop

rm -rfv $RPM_BUILD_ROOT%{_datadir}/applnk
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_datadir}/config/*
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/apps/*
%{_datadir}/autostart/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%if %{desktop_file}
%{_datadir}/applications/*
%else
%{_datadir}/applnk/*
%{_datadir}/applnk/.hidden/*
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%changelog
* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 6:3.1.2-4.1
- added epoch to versioned requires where needed
- built for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 20 2003 Than Ngo <than@redhat.com> 3.1.2-3
- dependencies issue

* Wed May 14 2003 Than Ngo <than@redhat.com> 3.1.2-1
- 3.1.2

* Wed Apr 23 2003 Than Ngo <than@redhat.com> 3.1.1-2
- enable libtool

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-4
- get rid of gcc path from dependency_libs

* Tue Feb 11 2003 Than Ngo <than@redhat.com> 3.1-3
- add missing build dependency, #84027

* Sat Feb  1 2003 Than Ngo <than@redhat.com> 3.1-2
- fix segfault #83194

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.3
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.2
- rc6
- removed size_t check
- exclude ia64

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.1
- get rid of sub packages

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.0
- update to 3.1 rc4
- remove a patch file, which is now in new upstream

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Wed Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sun Oct  6 2002 Than Ngo <than@redhat.com> 3.0.3-4
- Fixed holiday plugin (bug #64750, #63438)
- Added more buildrequires/equires (bug #56282,#73996)

* Mon Sep  2 2002 Than Ngo <than@redhat.com> 3.0.3-3
- Added missing icons

* Thu Aug 22 2002 Than Ngo <than@redhat.com> 3.0.3-2
- rebuild against new pilot-link

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- Fixed a bug in clock applet 

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 3.0.2-4
- build against pilot-link-0.11.2
- desktop files issue

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.0.2-3
- Added fix to build against qt 3.0.5
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue
- rebuild against new pilot-link

* Tue Jun 25 2002 Than Ngo <than@redhat.com> 3.0.1-1
- 3.0.1
- fixed bug #67303

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rename libraries

* Wed Apr 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Fix #61901

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.0.0-1
- final

* Tue Jan 22 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020122.1
- Update
- Fix build on ia64

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- Update, fixes korganizer (#50006)

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to get rid of abbrowser (moved to kdebase)

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- add missing ldconfig in %post anf %postun again
- clean up specfile

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink
- remove excludearch ia64, some hacks to build on ia64

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- Enable building kpilot
- Obsolete kpilot
- Don't exclude ia64, use -O0 on ia64
- Disable building kpilot on ia64 (compiler breakage)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix installation of fonts

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up spec file

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the 3d-screensavers package - now that qt-GL is part of qt,
  there's no need to keep them separate to avoid the dependency.

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- fix gnome-session so that KDE2 can be started from gdm
- pam/kde2 instead pam/kde to avoid problem with KDE1
- don't requires qt-GL, It's now in qt

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- fix dependency problem with KDE1 so that KDE1 and KDE2 can be installed
  at the same time
- add missing ldconfig in %post anf %postun
- fix for reading config files in /etc/X11/xdm, add Xsession to requires

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix keytable in konsole (Bug #15682)

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild, now that kdelibs2 works on alpha
- use the same ugly hack to get kdebase to compile
- remove ksysguard on alpha (even more compiler problems)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot (fixed libGL detection in CVS)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the --xdmdir arg to be correct (oops)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- move kdm config files from /usr/config to /etc/X11 by forcing xdmdir

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use new snapshot
- disable Motif

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch 3
- Update to current
- Use egcs++

* Fri Jun 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (I put the fixes directly to CVS rather than collecting them
  in the spec)

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove man2html; we get that from man
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now
- remove gnome .desktop file, we get it from gnome-core now.

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on xpm (now in XFree86)

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Dec 25 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Build the OpenGL screensavers, and move them to a separate package
- Improve the spec file (BuildPrereqs etc.)

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- remove patch #3 (obsoleted by kwin)

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS snapshot
- fix compilation

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- clean up files in /tmp from startkde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- start autorun if present in startkde
- check for configured soundcard before running sound services

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made kdelnks display Name property if they are of type Link

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- moved png handling here (from kdelibs)
- changed low color icon directory name to locolor

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added optional session management to logout dialog
- include GNOME menus

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added link to /etc/X11/applnk, .directory file
- included lowcolor icon sub-package
- enable .desktop file access

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- customized startkde script to set up user environment if not present.
- mention kthememgr in description.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release
- kvt is back
- kde icon included
- linux console fonts included

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- PAM console logout problem solved.

* Mon Jul 12 1999 Preston Brown <pbrown@redhat.com>
- now includes screensaver password security fix

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
- kvt removed for security reasons.  It is a steaming pile of...

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com> 
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
